<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.trust-manager">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="algorithm,alias-filter,certificate-revocation-list,certificate-revocation-lists,key-store,maximum-cert-path,ocsp,only-leaf-cert,provider-name,providers,soft-fail"/>
        <elem name="addr-params" value="profile,host,subsystem,trust-manager"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.trust-manager.$trust-manager"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.key-store.$key-store"/>
        <capability name="$profile.org.wildfly.security.providers.$providers" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="only-leaf-cert" nillable="true"/>
        <param name="ocsp" nillable="true"/>
        <param name="maximum-cert-path" nillable="true"/>
        <param name="provider-name" nillable="true"/>
        <param name="trust-manager" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="certificate-revocation-lists" nillable="true"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="key-store"/>
        <param name="alias-filter" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="soft-fail" nillable="true"/>
        <param name="certificate-revocation-list" nillable="true"/>
        <param name="providers" nillable="true"/>
        <param name="algorithm" nillable="true"/>
    </params>
</feature-spec>